org.apache.ignite.compute

## Class ComputeJobFailoverException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.compute.ComputeJobFailoverException

All Implemented Interfaces:
  Serializable

    public class ComputeJobFailoverException
    extends IgniteException

This runtime exception can be thrown from `ComputeJob.execute()` method to force job failover to another node within task topology. Any `IgniteClosure`, `Callable`, or `Runnable` instance passed into any of the `IgniteCompute` methods can also throw this exception to force failover.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComputeJobFailoverException(String msg)` Creates new exception with given error message.
`ComputeJobFailoverException(String msg, Throwable cause)` Creates new exception with given error message and optional nested exception.
`ComputeJobFailoverException(Throwable cause)` Creates new given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComputeJobFailoverException

    public ComputeJobFailoverException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### ComputeJobFailoverException

    public ComputeJobFailoverException(Throwable cause)

Creates new given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### ComputeJobFailoverException

    public ComputeJobFailoverException(String msg,
                               @Nullable
                               Throwable cause)

Creates new exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015